<div class='ptx__register content__item content__item--border bg__content--default' (keyup.enter)='doSearch(1)'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <search-form #searchForm [functionCode]="functionCode"></search-form>

  <div nz-row class="btn__row">
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
    <div nz-col [nzLg]="{span: 12}" nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)='doSearch(1)'
          mbButtonText="{{'personalTax.label.search' | translate}}"
        ></mb-button>
        <mb-button
          nz-button nz-dropdown [nzDropdownMenu]="menuExport" nzTrigger="click"
          mbButtonType="BORDER"
          mbButtonText="{{'personalTax.label.exportList' | translate}}"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
        <nz-dropdown-menu #menuExport="nzDropdownMenu">
          <ul nz-menu style="padding: 0">
            <li
              nz-button
              nz-menu-item
              style="padding: 0 20px"
              (click)="doExportData()"
            >
              <div class="menu__item">
                <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'personalTax.dependent.export.listDependent' | translate}}</span>
              </div>
            </li>
            <li
              nz-menu-item
              nz-button
              style="padding: 0 20px"
              (click)="doExportData('GROUP')"
            >
              <div class="menu__item">
                <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'personalTax.dependent.export.statisticsDependent' | translate}}</span>
              </div>
            </li>
          </ul>
        </nz-dropdown-menu>
      </div>
    </div>
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
  </div>
</div>

<div class='search__result'>
  <mb-table-merge-cell-wrap>
    <div class="headerTableSelect"></div>
    <mb-table-merge-cell
      #table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [dataList]='searchResult'
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<ng-template #statusTmpl let-status='status'>
  <ng-container *ngFor='let item of constant.STATUSES_REGISTER'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>


<ng-template #empStatusTmpl let-empStatus='empStatus'>
  <app-emp-status-common [empStatus]='empStatus'></app-emp-status-common>
</ng-template>
